webpackJsonp([21],{

/***/ 111:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__login_login__ = __webpack_require__(444);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__parking_list_parking_list__ = __webpack_require__(194);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__my_reservations_my_reservations__ = __webpack_require__(195);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__my_contracts_my_contracts__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__list_entreprises_list_entreprises__ = __webpack_require__(198);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__entradas_entradas__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__salidas_salidas__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__plazas_plazas__ = __webpack_require__(205);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
Imagen login y home parkings app extraída de:
https://pixabay.com/es/ciudad-personas-calle-noche-luces-1487891/
Con licencia CC0 Creativ Commons

Imagen home empresas extraída de:
https://pixabay.com/es/cami%C3%B3n-por-carretera-escudo-2755172/
Con licencia CC0 Creativ Commons
*/












/**
 * Página home
 * Muestra un home según el tipo de usuario que se conecte (Usuario de parking o usuario de empresa)
 * con su menú de gestión correspondiente.
 */
var HomePage = /** @class */ (function () {
    function HomePage(navCtrl, navParams, toast, afDatabase, authUser) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toast = toast;
        this.afDatabase = afDatabase;
        this.authUser = authUser;
        // Devuelve el usuario que esta autenticado y muestra un mensaje de bienvenida
        this.authUser.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.toast.create({
                message: "Bienvenido, " + data.email,
                duration: 3000
            }).present();
            // Devuelve la información de un usuario de Parking
            _this.afDatabase.object("userParking/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.userParkingData = userData;
            });
            //Devuelve la información de un usuario empresa
            _this.afDatabase.object("userEntreprise/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.userEntrepriseData = userData;
            });
        });
    }
    // Función para salir de la aplicación:
    HomePage.prototype.logOut = function () {
        this.authUser.logOut();
        // this.userAuth.auth.signOut();
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__login_login__["a" /* LoginPage */]);
    };
    // Función que navega a la pagina de búsqueda de camiones
    HomePage.prototype.buscarParking = function (nombreEmpresa) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__parking_list_parking_list__["a" /* ParkingListPage */]);
    };
    // Funciín para navegar a la pagina de mis reservas como empresa
    HomePage.prototype.misReservas = function (nombreEmpresa) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__my_reservations_my_reservations__["a" /* MyReservationsPage */]);
    };
    // Función para navegar a la pagina de contratos que tiene una empresa con los parkings
    HomePage.prototype.misContratos = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__my_contracts_my_contracts__["a" /* MyContractsPage */]);
    };
    // Función que navega al listado de empresas que tienen reservas en un parking
    HomePage.prototype.empresasParking = function (parking) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__list_entreprises_list_entreprises__["a" /* ListEntreprisesPage */], { parking: parking });
    };
    // Función que navega al listado de entradas de vehículos que tiene un parking
    HomePage.prototype.entradas = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__entradas_entradas__["a" /* EntradasPage */]);
    };
    // Función que navega al listado de salidas de vehículos que tiene un parking
    HomePage.prototype.salidas = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_10__salidas_salidas__["a" /* SalidasPage */]);
    };
    // Función que navega al listado de plazas de las que dispone el parking
    HomePage.prototype.plazas = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_11__plazas_plazas__["a" /* PlazasPage */]);
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\home\home.html"*/'<!--\n  Generated template for the HomePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <button ion-button menuToggle>\n      <ion-icon name="menu" md="md-menu" (click)="content"></ion-icon>\n    </button>\n    <ion-title>\n      Home\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n<ion-menu [content]="content">\n<ion-header>\n  <ion-toolbar color="primary">\n    <ion-title>Home</ion-title>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content padding>\n  <ion-list *ngIf="userParkingData">\n    <ion-item>\n      <ion-avatar item-start>\n        <img src="assets/imgs/login_inicial.jpg">\n      </ion-avatar>\n      <h3>{{ userParkingData.name }}</h3>\n    </ion-item>\n      <button ion-item (click)="empresasParking(userParkingData)">\n      <ion-icon name="md-briefcase"></ion-icon>\n      Empresas de transporte\n    </button>\n    <button ion-item (click)="entradas()">\n      <ion-icon name="md-arrow-round-down"></ion-icon>\n      Entradas\n    </button>\n    <button ion-item (click)="salidas()">\n      <ion-icon name="md-arrow-round-up"></ion-icon>\n      Salidas\n    </button>\n    <button ion-item (click)="plazas()">\n      <ion-icon name="md-grid"></ion-icon>\n      Plazas\n    </button>\n    <a href="mailto:ecorralg@uoc.edu?Subject=Sugerencia Aplicación parking">\n    <button ion-item>\n      <ion-icon name="md-mail"></ion-icon>\n      Contacto / Sugerencias\n    </button>\n    </a>\n    <button ion-item (click)="logOut()">\n      <ion-icon md="md-log-out"></ion-icon>\n      LogOut\n    </button>\n  </ion-list>\n\n  <ion-list *ngIf="userEntrepriseData">\n    <ion-item>\n      <ion-avatar item-start>\n        <img src="assets/imgs/truck.jpg">\n      </ion-avatar>\n      <h2>{{userEntrepriseData.nombre}}</h2>\n    </ion-item>\n    <button ion-item (click)="buscarParking(userEntrepriseData.nombre)">\n      <ion-icon name="md-search"></ion-icon>\n      Buscar Parking\n    </button>\n    <button ion-item (click)="misContratos()">\n      <ion-icon name="md-list-box"></ion-icon>\n      Mis Contratos\n    </button>\n    <button ion-item (click)="misReservas(userEntrepriseData.nombre)">\n      <ion-icon name="md-done-all"></ion-icon>\n      Mis Reservas\n    </button>\n    <a href="mailto:ecorralg@uoc.edu?Subject=Sugerencia Aplicación parking">\n    <button ion-item >\n      <ion-icon name="md-mail"></ion-icon>\n     Contacto / Sugerencias\n    </button>\n    </a>\n    <button ion-item (click)="logOut()">\n      <ion-icon md="md-log-out"></ion-icon>\n      LogOut\n    </button>\n  </ion-list>\n</ion-content>\n</ion-menu>\n<ion-nav id="nav" #content [root]="rootPage"></ion-nav>\n\n<ion-content>\n  <div class="card-center-page">\n  <ion-card *ngIf="userParkingData">\n    <img src="assets/imgs/login_inicial.jpg">\n    <div class="card-title">{{userParkingData.name}}</div>\n  </ion-card>\n\n  <ion-card *ngIf="userEntrepriseData">\n    <img src="assets/imgs/truck.jpg">\n    <div class="card-title">{{userEntrepriseData.nombre}}</div>\n  </ion-card>\n  </div>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\home\home.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ToastController */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_5__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 191:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DetalleMovimientoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/


/**
 * Página detalle movimiento
 *
 * Se muestra la información de un movimiento, que puede ser de entrada o de salida
 *
 */
var DetalleMovimientoPage = /** @class */ (function () {
    function DetalleMovimientoPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        // Recuperamos la información de la página de listado de movimientos del movimiento seleccionado
        this.movimiento = this.navParams.get('movimiento');
    }
    DetalleMovimientoPage.prototype.ionViewDidLoad = function () {
    };
    DetalleMovimientoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-detalle-movimiento',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\detalle-movimiento\detalle-movimiento.html"*/'<!--\n  Generated template for the DetalleMovimientoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Detalle Movimiento\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-list-header><h1>{{movimiento.matriculaCamion}}</h1></ion-list-header>\n    <ion-item>\n      <h2><b>Entrada: </b> {{movimiento.fechaEntrada}} {{movimiento.horaEntrada}}</h2>\n      <p>- {{movimiento.nombreTransportista}}</p>\n      <p><b>- DNI:</b> {{movimiento.dniTranportista}}</p>\n      <p><b>- Semiremolque: </b>{{movimiento.matriculaSemiremolque}}</p>\n    </ion-item>\n    <ion-item *ngIf="movimiento.fechaSalida">\n      <h2><b>Salida: </b> {{movimiento.fechaSalida}} {{movimiento.horaSalida}}</h2>\n      <p>- {{movimiento.nombreTransportistaSalida}}</p>\n      <p><b>- DNI: </b>{{movimiento.dniTranportistaSalida}}</p>\n      <p><b>- Semiremolque: </b>{{movimiento.matriculaSemiremolqueSalida}}</p>\n    </ion-item>\n    <ion-item *ngIf="!movimiento.fechaSalida">\n      <b>Salida: </b>\n      <p>El camión se encuentra actualmente en el parking</p>\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\detalle-movimiento\detalle-movimiento.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */]])
    ], DetalleMovimientoPage);
    return DetalleMovimientoPage;
}());

//# sourceMappingURL=detalle-movimiento.js.map

/***/ }),

/***/ 192:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DetalleParkingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__reserva_plazas_reserva_plazas__ = __webpack_require__(193);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/



/**
 * Generated class for the DetalleParkingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DetalleParkingPage = /** @class */ (function () {
    function DetalleParkingPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.numPlazaslibres = 0;
        // Recuperamos la información de la pagina de listado de parkings para mostrar la información del parking seleccionado
        this.parking = this.navParams.get('parking');
        this.buscarPlazasLibres();
    }
    // Función para navegar a la siguiente pagina de reservas de plazas en el parking mostrado, se envia la info del parking
    DetalleParkingPage.prototype.goReserva = function (parking) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__reserva_plazas_reserva_plazas__["a" /* ReservaPlazasPage */], { parking: parking });
    };
    DetalleParkingPage.prototype.buscarPlazasLibres = function () {
        for (var i = 1; i < this.parking.plazas.length; i++) {
            if (this.parking.plazas[i].estado === 'libre') {
                this.numPlazaslibres++;
            }
        }
    };
    DetalleParkingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-detalle-parking',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\detalle-parking\detalle-parking.html"*/'<!--\n  Generated template for the DetalleParkingPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n        Detalle Parking - {{parking.name}}\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item>\n      <ion-avatar item-start class="avatar-circle">\n        <p class="initials">{{parking.name | slice:0:1 }}</p>\n      </ion-avatar>\n      <h4>{{parking.name}}</h4>\n      <h6>{{parking.email}}</h6>\n      <p>Plazas disponibles: {{numPlazaslibres}}</p>\n    </ion-item>\n    <ion-item>\n      <ion-icon md="md-call"></ion-icon>\n      {{parking.telefono}}\n    </ion-item>\n    <ion-list-header>\n      Servicios:\n    </ion-list-header>\n    <ion-chip color="primary" *ngFor="let servicios of parking.servicios">\n      <ion-label> {{ servicios }} </ion-label>\n    </ion-chip>\n  </ion-list>\n\n<div class="reservaButton">\n  <div class="row">\n      <button ion-button block color="primary" (click)="goReserva(parking)"><ion-icon md="md-bookmarks"></ion-icon>Reservar Plazas</button>\n  </div>\n</div>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\detalle-parking\detalle-parking.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */]])
    ], DetalleParkingPage);
    return DetalleParkingPage;
}());

//# sourceMappingURL=detalle-parking.js.map

/***/ }),

/***/ 193:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReservaPlazasPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__home_home__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_forms__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/






/**
 * Página para la reserva de plazas
 *
 *  Permite la reserva de plazas de una empresa en un determinado parking
 */
var ReservaPlazasPage = /** @class */ (function () {
    function ReservaPlazasPage(navCtrl, navParams, userAuth, afDatabase, fb) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.userAuth = userAuth;
        this.afDatabase = afDatabase;
        this.fb = fb;
        this.reserva = {};
        // recoge la información del parking de la página anterior
        this.parking = this.navParams.get('parking');
        // Comprueba que los datos de los formularios son correctos:
        this.form = this.fb.group({
            numPlazas: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            fechaInicio: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            fechaFin: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            contacto: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            observaciones: ''
        });
        // Recupera la información del usuario autenticado
        this.userAuth.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.afDatabase.object("userEntreprise/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.userEntrepriseData = userData;
                _this.claveEmpresa = data.uid;
            });
            // Recupera la información de la empresa que realiza la reserva
            _this.afDatabase.list('entreprises').valueChanges().subscribe(function (empresas) {
                empresas.forEach(function (empresa) {
                    if (_this.claveEmpresa === empresa.key) {
                        _this.empresa = empresa;
                        return;
                    }
                });
            });
        });
    }
    ReservaPlazasPage.prototype.ionViewDidLoad = function () {
    };
    // Guarda en base de datos la solicitud de reserva de plazas
    ReservaPlazasPage.prototype.reservar = function () {
        this.reserva.keyEmpresa = this.claveEmpresa;
        this.reserva.keyParking = this.parking.key;
        this.reserva.nombreParking = this.parking.name;
        this.reserva.nombreEmpresa = this.empresa.nombre;
        this.reserva.estado = 'pendiente';
        this.afDatabase.list('reserva').push(this.reserva);
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_4__home_home__["a" /* HomePage */]);
    };
    ReservaPlazasPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-reserva-plazas',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\reserva-plazas\reserva-plazas.html"*/'<!--\n  Generated template for the ReservaPlazasPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Reserva plazas - {{parking.name}}\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>\n  <form [formGroup]="form">\n  <ion-list *ngIf="userEntrepriseData">\n    <ion-item>\n      <ion-avatar item-start class="avatar-circle">\n        <p class="initials">{{parking.name | slice:0:1 }}</p>\n      </ion-avatar>\n      <h4>{{parking.name}}</h4>\n      <h6>{{parking.email}}</h6>\n      <p>Plazas disponibles: {{parking.plazas.length}}</p>\n    </ion-item>\n    <ion-item>\n      <ion-icon md="md-call"></ion-icon>\n      {{parking.telefono}}\n    </ion-item>\n    <ion-list-header>\n      Datos para la reserva:\n    </ion-list-header>\n    <ion-item>\n      <ion-label color="dark">{{userEntrepriseData.nombre}}</ion-label>\n    </ion-item>\n   <ion-item *ngIf="empresa">\n      <ion-label color="dark">{{empresa.email}}</ion-label>\n    </ion-item>\n    <ion-item>\n      <ion-label color="dark" *ngIf="empresa">{{empresa.telefono}}</ion-label>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Nº de plazas a reservar</ion-label>\n      <ion-input type="number" [(ngModel)]="reserva.plazas" formControlName="numPlazas"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Fecha inicio de la reserva</ion-label>\n      <ion-datetime displayFormat="DD/MMM/YYYY" [(ngModel)]="reserva.fechaInicio" max="2050" formControlName="fechaInicio"></ion-datetime>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Fecha fin de la reserva</ion-label>\n      <ion-datetime displayFormat="DD/MMM/YYYY" [(ngModel)]="reserva.fechaFin" max="2050" formControlName="fechaFin"></ion-datetime>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Persona de contacto</ion-label>\n      <ion-input type="text" [(ngModel)]="reserva.nombreContacto" formControlName="contacto"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Observaciones</ion-label>\n      <ion-textarea type="text" [(ngModel)]="reserva.observaciones" formControlName="observaciones"></ion-textarea>\n    </ion-item>\n    <br>\n    <button ion-button block color="primary" (click)="reservar()" [disabled]="!form.valid"><ion-icon md="md-bookmarks"></ion-icon>Reservar Plazas</button>\n  </ion-list>\n  </form>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\reserva-plazas\reserva-plazas.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__["a" /* AuthUserProvider */],
            __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */], __WEBPACK_IMPORTED_MODULE_5__angular_forms__["a" /* FormBuilder */]])
    ], ReservaPlazasPage);
    return ReservaPlazasPage;
}());

//# sourceMappingURL=reserva-plazas.js.map

/***/ }),

/***/ 194:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ParkingListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__detalle_parking_detalle_parking__ = __webpack_require__(192);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/






/**
 * Pagina que lista los parking en una localidad
 *
 * Permite buscar parkings en una determinada localidad y muestra la lista de los parkings de la localidad que
 * se ha introducido en el buscador
 */
var ParkingListPage = /** @class */ (function () {
    function ParkingListPage(navCtrl, navParams, afDatabase) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.startAt = new __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__["Subject"]();
        this.endAt = new __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__["Subject"]();
        this.startobs = this.startAt.asObservable();
        this.endobs = this.endAt.asObservable();
        this.plazas = [];
        this.plazasLibres = [];
        // Recupera la información de las localidades
        __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__["Observable"].combineLatest(this.startobs, this.endobs).subscribe(function (value) {
            _this.firequery(value[0], value[1]).subscribe(function (localidades) {
                _this.localidades = localidades;
            });
        });
    }
    // Recupera los distintos parkings según los caracteres que vamos introduciéndo en el buscador
    ParkingListPage.prototype.getItems = function ($event) {
        var val = $event.target.value;
        if (val) {
            val = val.toLowerCase();
            console.log(val);
            this.startAt.next(val);
            this.endAt.next(val + "\uf8ff");
        }
    };
    // Query para recuperar las localidades ordenadas según los caracteres escritos en el buscador
    ParkingListPage.prototype.firequery = function (start, end) {
        return this.afDatabase.list('parkings', function (ref) { return ref.limitToFirst(4).orderByChild('localidad')
            .startAt(start).endAt(end); }).valueChanges();
    };
    // Navega hacia la pagina de detarlle de parking y envia la información del parking para mostrarla
    ParkingListPage.prototype.goDetalle = function (parking) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__detalle_parking_detalle_parking__["a" /* DetalleParkingPage */], { parking: parking });
    };
    ParkingListPage.prototype.buscarPlazasLibres = function (plazas) {
        var j = 0;
        for (var i = 0; i < plazas.length; i++) {
            if (plazas[i].estado === 'libre') {
                this.plazasLibres[j] = plazas[i];
                j++;
            }
        }
        return this.plazasLibres.length - 1;
    };
    ParkingListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-parking-list',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\parking-list\parking-list.html"*/'<!--\n  Generated template for the ParkingListPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Buscar Parking\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n <ion-searchbar (ionInput)="getItems($event)" placeholder="Intoduce localidad..."></ion-searchbar>\n  <ion-list>\n    <button ion-item  *ngFor="let parking of localidades"  (click)="goDetalle(parking)">\n      <ion-avatar item-start class="avatar-circle">\n        <p class="initials">{{parking.name | slice:0:1 }}</p>\n      </ion-avatar>\n      <h2>{{parking.name}}</h2>\n      <h3>{{parking.email}}</h3>\n      <p>Plazas disponibles: {{buscarPlazasLibres(parking.plazas)}}</p>\n    <p *ngIf="localidades?.length < 1">No se han encontrado parkings en la localidad seleccionada</p>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\parking-list\parking-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], ParkingListPage);
    return ParkingListPage;
}());

//# sourceMappingURL=parking-list.js.map

/***/ }),

/***/ 195:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyReservationsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__movimientos_empresa_movimientos_empresa__ = __webpack_require__(196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/





/**
 * Página de reservas de una empresa
 *
 * Muestra un listado con las reservas que ha realizado la empresa en los distintos parkings
 */
var MyReservationsPage = /** @class */ (function () {
    function MyReservationsPage(navCtrl, navParams, afDataBase, userAuth) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDataBase = afDataBase;
        this.userAuth = userAuth;
        this.reservas = [];
        // Recupera la información del usuario autenticado
        this.userAuth.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            // Recupera los datos del perfil de la empresa autenticada
            _this.afDataBase.object("userEntreprise/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.userEntrepriseData = userData;
                _this.claveEmpresa = data.uid;
            });
        });
    }
    MyReservationsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera lo datos de las reservas realizadas por la empresa en los distintos parkings
        this.afDataBase.list('reserva').valueChanges().subscribe(function (reservasData) {
            if (!reservasData) {
                return;
            }
            var j = 0;
            for (var i = 0; reservasData.length >= i; i++) {
                if (reservasData[i] && reservasData[i].keyEmpresa === _this.claveEmpresa) {
                    _this.reservas[j] = reservasData[i];
                    j++;
                }
            }
        });
    };
    // Navega a la página de movimientos de la empresa en un determinado parking
    MyReservationsPage.prototype.reservaMovimientos = function (reserva) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__movimientos_empresa_movimientos_empresa__["a" /* MovimientosEmpresaPage */], { reserva: reserva });
    };
    MyReservationsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-my-reservations',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\my-reservations\my-reservations.html"*/'<!--\n  Generated template for the MyReservationsPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Mis Reservas\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <ion-list>\n    <button ion-item  *ngFor="let reserva of reservas" (click)="reservaMovimientos(reserva)">\n      <ion-avatar item-start class="avatar-circle">\n        <p class="initials">{{reserva.nombreParking | slice:0:1 }}</p>\n      </ion-avatar>\n      <h2>{{reserva.nombreParking}}</h2>\n      <h3>{{reserva.estado}}</h3>\n      <p>Plazas reservadas: {{reserva.plazas}}</p>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\my-reservations\my-reservations.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], MyReservationsPage);
    return MyReservationsPage;
}());

//# sourceMappingURL=my-reservations.js.map

/***/ }),

/***/ 196:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MovimientosEmpresaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__detalle_movimiento_detalle_movimiento__ = __webpack_require__(191);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/




/**
 * Página de movimientos de una empresa
 *
 * Muesta los movimientos de una empresa en un parking, permite el filtrado de movimientos por fecha
 */
var MovimientosEmpresaPage = /** @class */ (function () {
    function MovimientosEmpresaPage(navCtrl, navParams, afDatabase) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.movimientos = [];
        this.movimietosFecha = [];
        this.allMovs = [];
        // Recupera los datos de la reserva de la página anterior
        this.reserva = this.navParams.get('reserva');
        // Recupera los datos de las entradas de la empresa en el parking
        this.afDatabase.list('movimientos').valueChanges().subscribe(function (data) {
            if (!data) {
                return;
            }
            for (var i = 0; data.length >= i; i++) {
                if (data[i] && _this.reserva.keyParking === data[i].keyParking && data[i] &&
                    _this.reserva.keyEmpresa === data[i].keyEmpresa) {
                    _this.movimientos.push(data[i]);
                }
            }
            _this.allMovs = _this.movimientos;
        });
    }
    MovimientosEmpresaPage.prototype.ionViewDidLoad = function () {
    };
    // Función para comprobar el estado de una reserva
    MovimientosEmpresaPage.prototype.reservaConfirmada = function () {
        if (this.reserva.estado === 'confirmada') {
            return true;
        }
        else {
            return false;
        }
    };
    // Navega a la página que muestra el detalle de un movimiento seleccionado, envia la información de este
    MovimientosEmpresaPage.prototype.datosMovimiento = function (movimiento) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__detalle_movimiento_detalle_movimiento__["a" /* DetalleMovimientoPage */], { movimiento: movimiento });
    };
    // Función para filtrar movimientos por fecha
    MovimientosEmpresaPage.prototype.filtro = function () {
        this.movimientos = this.allMovs;
        this.movimietosFecha = [];
        for (var i = 0; i < this.movimientos.length; i++) {
            if (this.movimientos[i].fechaEntrada === this.fecha) {
                this.movimietosFecha.push(this.movimientos[i]);
            }
        }
        this.movimientos = this.movimietosFecha;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('picker'),
        __metadata("design:type", Object)
    ], MovimientosEmpresaPage.prototype, "datepicker", void 0);
    MovimientosEmpresaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-movimientos-empresa',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\movimientos-empresa\movimientos-empresa.html"*/'<!--\n  Generated template for the MovimientosEmpresaPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Movimientos Empresa\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-fab top right edge #fab1>\n    <button ion-fab mini  color="secondary" (click)="datepicker.open()">\n      <ion-datetime #picker pickerFormat="DD/MMM/YYYY" style="display:none" [(ngModel)]="fecha" (ionChange)="filtro()" [min]="2000" [max]="2030" cancelText></ion-datetime>\n      <ion-icon md="md-search"></ion-icon>\n      </button>\n  </ion-fab>\n<ion-list *ngIf="reservaConfirmada()">\n  <ion-list-header>{{reserva.nombreParking}}</ion-list-header>\n    <button ion-item *ngFor="let movimiento of movimientos" (click)="datosMovimiento(movimiento)">\n      <ion-icon md="md-arrow-round-forward" color="danger" *ngIf="movimiento.fechaSalida"></ion-icon>\n      <ion-icon md="md-arrow-round-forward" color="secondary" *ngIf="!movimiento.fechaSalida"></ion-icon>\n      <h1>{{movimiento.matriculaCamion}}</h1>\n      <p><b>Entrada:</b> {{movimiento.fechaEntrada}}</p>\n      <p *ngIf="movimiento.fechaSalida"><b>Salida:</b> {{movimiento.fechaSalida}}</p>\n    </button>\n</ion-list>\n  <ion-list>\n    <ion-item *ngIf="!reservaConfirmada()">\n      Reserva pendiente, no hay movimientos\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\movimientos-empresa\movimientos-empresa.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], MovimientosEmpresaPage);
    return MovimientosEmpresaPage;
}());

//# sourceMappingURL=movimientos-empresa.js.map

/***/ }),

/***/ 197:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyContractsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/




/**
 * Página de contratos de una empresa con un parking
 *
 * Muestra los contratos que se han generado al confirmar una reserva un parking y su información
 */
var MyContractsPage = /** @class */ (function () {
    function MyContractsPage(navCtrl, navParams, userAuth, afDatabase) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.userAuth = userAuth;
        this.afDatabase = afDatabase;
        this.reservas = [];
        // Recupera la información del usuario autenticado
        this.userAuth.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            // Recupera la información del usuario empresa
            _this.afDatabase.object("userEntreprise/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.userEntrepriseData = userData;
                _this.claveEmpresa = data.uid;
            });
        });
    }
    MyContractsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera la información de las reservas que tiene un usuario, si estan confirmadas recupera la información en formato contrato
        this.afDatabase.list('reserva').valueChanges().subscribe(function (reservasData) {
            if (!reservasData) {
                return;
            }
            var j = 0;
            for (var i = 0; reservasData.length >= i; i++) {
                if (reservasData[i] && reservasData[i].keyEmpresa === _this.claveEmpresa &&
                    reservasData[i].estado === 'confirmada') {
                    _this.reservas[j] = reservasData[i];
                    j++;
                }
            }
        });
    };
    MyContractsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-my-contracts',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\my-contracts\my-contracts.html"*/'<!--\n  Generated template for the MyContractsPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Mis Contratos\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <button ion-item  *ngFor="let reserva of reservas">\n      <ion-avatar item-start class="avatar-circle">\n        <p class="initials">{{reserva.nombreParking | slice:0:1 }}</p>\n      </ion-avatar>\n      <h2>{{reserva.nombreParking}}</h2>\n      <h3>Fecha inicio contrato: {{reserva.fechaInicio}}</h3>\n      <h3>Fecha fin contrato: {{reserva.fechaFin}}</h3>\n      <p>Plazas reservadas: {{reserva.plazas}}</p>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\my-contracts\my-contracts.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_auth_user_auth_user__["a" /* AuthUserProvider */],
            __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], MyContractsPage);
    return MyContractsPage;
}());

//# sourceMappingURL=my-contracts.js.map

/***/ }),

/***/ 198:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListEntreprisesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__gestion_contrato_gestion_contrato__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__movimientos_empresa_parking_movimientos_empresa_parking__ = __webpack_require__(200);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/






/**
 * Página de listado de empresa
 *
 *Desde esta página un usuario de parking puede ver las empresas que han realizado reservas en su parking y el
 * estado en el que se encuentran estas reservas
 */
var ListEntreprisesPage = /** @class */ (function () {
    function ListEntreprisesPage(navCtrl, navParams, afDatabase, userAuth) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.userAuth = userAuth;
        this.misReservas = [];
        // recupera la información del usuario autenticado
        this.userAuth.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.afDatabase.object("userParking/" + data.uid).valueChanges()
                .subscribe(function (userData) {
                _this.parking = userData;
                _this.claveParking = data.uid;
            });
        });
    }
    ListEntreprisesPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera la información de las empreasas que tienen reservas en este parking
        this.afDatabase.list('reserva').snapshotChanges().subscribe(function (actions) {
            var i = 0;
            actions.forEach(function (action) {
                console.log(_this.claveParking);
                if (_this.claveParking === action.payload.val().keyParking) {
                    _this.misReservas[i] = action.payload.val();
                    _this.misReservas[i].key = action.key;
                    i++;
                }
            });
        });
    };
    // Función para comprobar el estado de una reserva
    ListEntreprisesPage.prototype.estadoReserva = function (reservaEstado) {
        if (reservaEstado === 'pendiente') {
            return true;
        }
        else {
            return false;
        }
    };
    // Función para navegar a la pagina de gestión de contrato, envia la key de la reserva
    ListEntreprisesPage.prototype.goGestionContrato = function (key) {
        console.log(key);
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__gestion_contrato_gestion_contrato__["a" /* GestionContratoPage */], { key: key });
    };
    // Función para navegar al listado de movimientos que tiene una empresa en nuestro parking
    ListEntreprisesPage.prototype.goMovimientos = function (reserva) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__movimientos_empresa_parking_movimientos_empresa_parking__["a" /* MovimientosEmpresaParkingPage */], { reserva: reserva });
    };
    ListEntreprisesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-list-entreprises',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\list-entreprises\list-entreprises.html"*/'<!--\n  Generated template for the ListEntreprisesPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Empresas de transporte\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list>\n    <ion-item-sliding *ngFor="let reserva of misReservas" #item>\n      <ion-item>\n        <ion-avatar item-start class="avatar-circle">\n          <p class="initials">{{reserva.nombreEmpresa | slice:0:1 }}</p>\n        </ion-avatar>\n        <h2>{{reserva.nombreEmpresa}}</h2>\n        <h3 *ngIf="estadoReserva(reserva.estado)">Solicitud de plazas:{{reserva.plazas}}</h3>\n        <h3 *ngIf="!estadoReserva(reserva.estado)">Plazas reservadas:{{reserva.plazas}}</h3>\n        <p>{{reserva.estado}}</p>\n        <ion-icon item-end md="md-arrow-dropright"></ion-icon>\n      </ion-item>\n      <ion-item-options side="right">\n        <button ion-button color="dark" (click)="goGestionContrato(reserva.key)"><ion-icon md="md-list-box"></ion-icon>\n          Contrato\n        </button>\n        <button ion-button color="secondary" (click)="goMovimientos(reserva)"><ion-icon md="md-shuffle"></ion-icon>\n          Movimientos\n        </button>\n      </ion-item-options>\n    </ion-item-sliding>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\list-entreprises\list-entreprises.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], ListEntreprisesPage);
    return ListEntreprisesPage;
}());

//# sourceMappingURL=list-entreprises.js.map

/***/ }),

/***/ 199:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GestionContratoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/




/**
 *  Pagina de gestión de contratos, desde aquí se ve la información de una reserva y se confirman
 *  los contratos con las empresas
 */
var GestionContratoPage = /** @class */ (function () {
    function GestionContratoPage(navCtrl, navParams, afDatabase, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.alertCtrl = alertCtrl;
        this.reservaKey = this.navParams.get('key');
    }
    GestionContratoPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera los datos de la reserva
        this.afDatabase.list('reserva').snapshotChanges().subscribe(function (actions) {
            return actions.forEach(function (action) {
                if (!action.payload.val()) {
                    return;
                }
                _this.reservaKey = _this.navParams.get('key');
                if (_this.reservaKey === action.key) {
                    _this.reserva = action.payload.val();
                    _this.estado = action.payload.val().estado;
                    _this.keyEmpresa = action.payload.val().keyEmpresa;
                }
            });
        });
        // Recupera los datos de las empresas
        this.afDatabase.list('entreprises').valueChanges().subscribe(function (empresasData) {
            if (!empresasData) {
                return;
            }
            for (var i = 0; empresasData.length >= i; i++) {
                if (empresasData[i] && empresasData[i].key === _this.keyEmpresa) {
                    _this.empresa = empresasData[i];
                }
            }
        });
    };
    // Comprueba el estado de una reserva para poder confirmarla
    GestionContratoPage.prototype.estadoPendiente = function () {
        if (this.estado === 'confirmada') {
            return true;
        }
        return false;
    };
    // Función que una vez que confirmamos una reserva os muestra un alert de que se ha realizado correctamente
    GestionContratoPage.prototype.confirmarContrato = function () {
        this.afDatabase.list('reserva').update(this.reservaKey, { estado: 'confirmada' });
        var alert = this.alertCtrl.create({
            title: 'Reserva confirmada',
            subTitle: 'La reserva se ha confirmado correctamente',
            buttons: ['Aceptar']
        });
        alert.present();
    };
    GestionContratoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-gestion-contrato',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\gestion-contrato\gestion-contrato.html"*/'<!--\n  Generated template for the GestionContratoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Detalle contrato\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>\n    <ion-list *ngIf="empresa && reserva">\n      <ion-list-header>\n        {{reserva.nombreEmpresa}}\n      </ion-list-header>\n      <ion-item>\n        Persona contacto\n        <ion-note item-end>\n          {{reserva.nombreContacto}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Email contacto\n        <ion-note item-end>\n          {{empresa.email}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Teléfono de contacto\n        <ion-note item-end>\n          {{empresa.telefono}}\n        </ion-note>\n      </ion-item>\n    </ion-list>\n    <ion-list *ngIf="empresa && reserva">\n      <ion-list-header>\n        Datos de la reserva\n      </ion-list-header>\n      <ion-item>\n        Estado reserva\n        <ion-note item-end *ngIf="estadoPendiente()" class="green">\n          {{reserva.estado}}\n        </ion-note>\n        <ion-note item-end *ngIf="!estadoPendiente()" class="red">\n          {{reserva.estado}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Fecha de inicio de la reserva\n        <ion-note item-end>\n          {{reserva.fechaInicio}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Fecha fin de la reserva\n        <ion-note item-end>\n          {{reserva.fechaFin}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Número de plazas\n        <ion-note item-end>\n          {{reserva.plazas}}\n        </ion-note>\n      </ion-item>\n      <ion-item>\n        Observaciones\n        <ion-note text-wrap>\n          {{reserva.observaciones}}\n        </ion-note>\n      </ion-item>\n      <br>\n      <button ion-button block color="primary"  (click)="confirmarContrato()" *ngIf="!estadoPendiente()"><ion-icon md="md-bookmarks"></ion-icon>Confirmar Contrato</button>\n    </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\gestion-contrato\gestion-contrato.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */]])
    ], GestionContratoPage);
    return GestionContratoPage;
}());

//# sourceMappingURL=gestion-contrato.js.map

/***/ }),

/***/ 200:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MovimientosEmpresaParkingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/



/**
 * Págona de movimientos de la empresa en un parking
 *
 * Muestra los movimientos de una empresa en un parking concreto
 */
var MovimientosEmpresaParkingPage = /** @class */ (function () {
    function MovimientosEmpresaParkingPage(navCtrl, navParams, afDatabase) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.movimientos = [];
        this.movimietosFecha = [];
        this.allMovs = [];
        // recupera la información de la reserva de la página anterior
        this.reserva = this.navParams.get('reserva');
        // Recupera la información de los movimientos de la emprea en un parking determinado
        this.afDatabase.list('movimientos').valueChanges().subscribe(function (data) {
            if (!data) {
                return;
            }
            for (var i = 0; data.length >= i; i++) {
                if (data[i] && _this.reserva.keyParking === data[i].keyParking && data[i] &&
                    _this.reserva.keyEmpresa === data[i].keyEmpresa) {
                    _this.movimientos.push(data[i]);
                }
            }
            _this.allMovs = _this.movimientos;
        });
    }
    MovimientosEmpresaParkingPage.prototype.ionViewDidLoad = function () {
    };
    // Función que comprueba el estado de una reserva
    MovimientosEmpresaParkingPage.prototype.reservaConfirmada = function () {
        if (this.reserva.estado === 'confirmada') {
            return true;
        }
        else {
            return false;
        }
    };
    MovimientosEmpresaParkingPage.prototype.filtro = function () {
        this.movimientos = this.allMovs;
        this.movimietosFecha = [];
        for (var i = 0; i < this.movimientos.length; i++) {
            if (this.movimientos[i].fechaEntrada === this.fecha) {
                this.movimietosFecha.push(this.movimientos[i]);
            }
        }
        this.movimientos = this.movimietosFecha;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('picker'),
        __metadata("design:type", Object)
    ], MovimientosEmpresaParkingPage.prototype, "datepicker", void 0);
    MovimientosEmpresaParkingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-movimientos-empresa-parking',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\movimientos-empresa-parking\movimientos-empresa-parking.html"*/'<!--\n  Generated template for the MovimientosEmpresaParkingPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Movimientos Empresa\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>\n  <ion-fab top right edge #fab1>\n    <button ion-fab mini  color="secondary" (click)="datepicker.open()">\n      <ion-datetime #picker pickerFormat="DD/MMM/YYYY" style="display:none" [(ngModel)]="fecha" (ionChange)="filtro()" [min]="2000" [max]="2030" cancelText></ion-datetime>\n      <ion-icon md="md-search"></ion-icon>\n    </button>\n  </ion-fab>\n  <ion-list *ngIf="reservaConfirmada()">\n    <ion-list-header>{{reserva.nombreEmpresa}}</ion-list-header>\n    <ion-item *ngFor="let movimiento of movimientos">\n      <ion-icon md="md-arrow-round-forward" color="danger" *ngIf="movimiento.fechaSalida"></ion-icon>\n      <ion-icon md="md-arrow-round-forward" color="secondary" *ngIf="!movimiento.fechaSalida"></ion-icon>\n      <h1>{{movimiento.matriculaCamion}}</h1>\n      <p><b>Entrada:</b> {{movimiento.fechaEntrada}} {{movimiento.horaEntrada}} <b>Plaza:</b> {{movimiento.plaza}}</p>\n      <p *ngIf="movimiento.fechaSalida"><b>Salida:</b> {{movimiento.fechaSalida}} {{movimiento.horaSalida}}</p>\n    </ion-item>\n  </ion-list>\n  <ion-list>\n    <ion-item *ngIf="!reservaConfirmada()">\n      Reserva pendiente, no hay movimientos\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\movimientos-empresa-parking\movimientos-empresa-parking.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], MovimientosEmpresaParkingPage);
    return MovimientosEmpresaParkingPage;
}());

//# sourceMappingURL=movimientos-empresa-parking.js.map

/***/ }),

/***/ 201:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EntradasPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__nueva_entrada_nueva_entrada__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_user_auth_user__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/





/**
 * Página de entradas
 *
 * Desde aquí se visualizan todas las entradas en el parking y se pueden añadir nuevas entradas
 */
var EntradasPage = /** @class */ (function () {
    function EntradasPage(navCtrl, navParams, afDatabase, authUser) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.authUser = authUser;
        this.movimientos = [];
        this.plazas = [];
    }
    EntradasPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recuperamos la clave del usuario del parking que esta autenticado
        this.authUser.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.keyParking = data.uid;
        });
        // Recuperamos los datos de los movimientos de entrada que tiene el parking que esta autenticado actualmente
        this.afDatabase.list('movimientos').valueChanges().subscribe(function (data) {
            if (!data) {
                return;
            }
            for (var i = 0; data.length >= i; i++) {
                if (data[i] && data[i].keyParking === _this.keyParking && data[i].tipo === 'in') {
                    _this.movimientos.push(data[i]);
                }
            }
        });
    };
    // Función para navegar a la página para añadir una nueva entrada
    EntradasPage.prototype.addEntrada = function (keyParking) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__nueva_entrada_nueva_entrada__["a" /* NuevaEntradaPage */], { keyParking: keyParking });
    };
    EntradasPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-entradas',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\entradas\entradas.html"*/'<!--\n  Generated template for the EntradasPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Entradas\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-fab top right edge #fab1>\n    <button ion-fab mini (click)="addEntrada(keyParking)" color="secondary"><ion-icon name="add"></ion-icon></button>\n  </ion-fab>\n  <ion-list>\n    <button ion-item *ngFor="let movimiento of movimientos">\n      <ion-icon md="md-arrow-round-forward" color="secondary"></ion-icon>\n      <h1>{{movimiento.matriculaCamion}}</h1>\n      <h3>{{movimiento.nombreEmpresaTransporte}}</h3>\n      <p><b>Entrada:</b> {{movimiento.fechaEntrada}} {{movimiento.horaEntrada}}</p>\n      <p> <b>Plaza:</b> {{movimiento.plaza}}</p>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\entradas\entradas.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], EntradasPage);
    return EntradasPage;
}());

//# sourceMappingURL=entradas.js.map

/***/ }),

/***/ 202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NuevaEntradaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_forms__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/





/**
 * Página Nueva entrada
 *
 * Página en la que se muestra un nuevo formulario para añadir una nueva entrada, nos pide seleccionar las empresas
 * en la selección solo se mostrara las empresas que tengan un contrato confirmado con la empresa
 */
var NuevaEntradaPage = /** @class */ (function () {
    function NuevaEntradaPage(navCtrl, navParams, afDatabase, alertCtrl, fb) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.alertCtrl = alertCtrl;
        this.fb = fb;
        this.reservas = [];
        this.entrada = {};
        this.plazas = [];
        this.plazasLibres = [];
        // Recoge la información de la pagina anterior con la clave del parking en el que se va a registrar el movimiento
        this.keyParking = this.navParams.get('keyParking');
        // Comprueba los datos insertados en el formulario:
        this.form = this.fb.group({
            empresa: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            camion: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            semiremolque: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            transportista: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            dni: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            fechaEntrada: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            horaEntrada: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            plaza: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required)
        });
        this.buscarPlazasLibres();
    }
    NuevaEntradaPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera la información del perfil del parking
        this.afDatabase.list('parkings').snapshotChanges().subscribe(function (parkings) {
            parkings.forEach(function (parking) {
                if (_this.keyParking === parking.payload.val().key) {
                    _this.plazas = parking.payload.val().plazas;
                    _this.keyPark = parking.key;
                    return;
                }
            });
        });
        // recupera la información de las reservas confirmadas para compronar las empresas que tienen la reserva confirmada
        this.afDatabase.list('reserva').snapshotChanges().subscribe(function (actions) {
            var i = 0;
            actions.forEach(function (action) {
                if (_this.keyParking === action.payload.val().keyParking && action.payload.val().estado === 'confirmada') {
                    _this.reservas[i] = action.payload.val();
                    i++;
                }
                _this.buscarPlazasLibres();
            });
        });
    };
    // Guarda la clave de la empresa para la que registramos una nueva entrada
    NuevaEntradaPage.prototype.saveKeyEmpresa = function (key) {
        this.keyEmpresa = key;
    };
    // registra la nueva entrada en base de datos
    NuevaEntradaPage.prototype.nuevaEntrada = function () {
        this.entrada.keyEmpresa = this.keyEmpresa;
        this.entrada.keyParking = this.keyParking;
        this.entrada.tipo = 'in';
        this.afDatabase.list('movimientos').push(this.entrada);
        this.actualizarEstadoPlaza(this.entrada.plaza);
        this.afDatabase.list("parkings").update(this.keyPark, { plazas: this.plazas });
        var alert = this.alertCtrl.create({
            title: 'Entrada registrada',
            subTitle: 'La entrada se ha registrado correctamente',
            buttons: ['Aceptar']
        });
        alert.present();
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    // Función para listar solo las plazas que estan libres en la selección de plaza al registrar entrada
    NuevaEntradaPage.prototype.buscarPlazasLibres = function () {
        var j = 0;
        for (var i = 0; i < this.plazas.length; i++) {
            if (this.plazas[i].estado === 'libre') {
                this.plazasLibres[j] = this.plazas[i];
                j++;
            }
        }
    };
    // Actualiza el estado de las plazas al entrar un camión en una entrada
    NuevaEntradaPage.prototype.actualizarEstadoPlaza = function (plaza) {
        for (var i = 0; i < this.plazas.length; i++) {
            if (i = plaza - 1) {
                this.plazas[i] = {
                    estado: 'ocupada',
                    numero: plaza
                };
                return;
            }
        }
    };
    NuevaEntradaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-nueva-entrada',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\nueva-entrada\nueva-entrada.html"*/'<!--\n  Generated template for the NuevaEntradaPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Nueva Entrada\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>\n  <form [formGroup]="form">\n    <ion-list>\n      <ion-item>\n        <ion-label color="primary">Empresa</ion-label>\n        <ion-select type="text" [(ngModel)]="entrada.nombreEmpresaTransporte" formControlName="empresa">\n          <ion-option *ngFor="let empresa of reservas" [value]="empresa.nombreEmpresa"\n                      (ionSelect)="saveKeyEmpresa(empresa.keyEmpresa)">\n            {{empresa.nombreEmpresa}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">Matricula camión</ion-label>\n        <ion-textarea type="text" [(ngModel)]="entrada.matriculaCamion" formControlName="camion"></ion-textarea>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">Matricula semiremolque</ion-label>\n        <ion-textarea type="text" [(ngModel)]="entrada.matriculaSemiremolque" formControlName="semiremolque"></ion-textarea>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">Transportista</ion-label>\n        <ion-textarea type="text" [(ngModel)]="entrada.nombreTransportista" formControlName="transportista"></ion-textarea>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">DNI</ion-label>\n        <ion-textarea type="text" [(ngModel)]="entrada.dniTranportista" formControlName="dni"></ion-textarea>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">Fecha de entrada</ion-label>\n        <ion-datetime displayFormat="DD/MMM/YYYY" [(ngModel)]="entrada.fechaEntrada" formControlName="fechaEntrada"></ion-datetime>\n      </ion-item>\n      <ion-item>\n        <ion-label color="primary">Hora de entrada</ion-label>\n        <ion-datetime displayFormat="HH:mm" [(ngModel)]="entrada.horaEntrada" formControlName="horaEntrada"></ion-datetime>\n      </ion-item>\n    </ion-list>\n    <ion-item>\n      <ion-label color="primary">Plaza</ion-label>\n      <ion-select [(ngModel)]="entrada.plaza" formControlName="plaza">\n        <ion-option *ngFor="let plaza of plazasLibres" [value]="plaza.numero">{{plaza.numero}}</ion-option>\n      </ion-select>\n    </ion-item>\n    <br>\n    <button ion-button block color="primary" (click)="nuevaEntrada()" [disabled]="!form.valid">\n      <ion-icon md="md-bookmarks"></ion-icon>Registrar nueva entrada</button>\n  </form>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\nueva-entrada\nueva-entrada.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_4__angular_forms__["a" /* FormBuilder */]])
    ], NuevaEntradaPage);
    return NuevaEntradaPage;
}());

//# sourceMappingURL=nueva-entrada.js.map

/***/ }),

/***/ 203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SalidasPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__nueva_salida_nueva_salida__ = __webpack_require__(204);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/





/**
 * Página de movimientos de salida de un parking
 *
 * Muesta el listado de todas las salidad del parking
 */
var SalidasPage = /** @class */ (function () {
    function SalidasPage(navCtrl, navParams, authUser, afDatabase) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.authUser = authUser;
        this.afDatabase = afDatabase;
        this.movimientos = [];
    }
    SalidasPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // recupera la información del usuario autenticado
        this.authUser.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.keyParking = data.uid;
        });
        // Recoge la información de los movientos de salida de la base de datos para  listarla
        this.afDatabase.list('movimientos').valueChanges().subscribe(function (data) {
            if (!data) {
                return;
            }
            for (var i = 0; data.length >= i; i++) {
                if (data[i] && data[i].keyParking === _this.keyParking && data[i].tipo === 'out') {
                    _this.movimientos.push(data[i]);
                }
            }
            console.log(_this.movimientos);
        });
    };
    // Función que navega a la página de añadir nueva salida.
    SalidasPage.prototype.addSalida = function (keyParking) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__nueva_salida_nueva_salida__["a" /* NuevaSalidaPage */], { keyParking: keyParking });
    };
    SalidasPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-salidas',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\salidas\salidas.html"*/'<!--\n  Generated template for the SalidasPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Salidas\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-fab top right edge #fab1>\n    <button ion-fab mini (click)="addSalida(keyParking)" color="danger"><ion-icon name="add"></ion-icon></button>\n  </ion-fab>\n  <ion-list>\n   <button ion-item *ngFor="let movimiento of movimientos">\n      <ion-icon md="md-arrow-round-forward" color="danger"></ion-icon>\n      <h1>{{movimiento.matriculaCamion}}</h1>\n      <h3>{{movimiento.nombreEmpresaTransporte}}</h3>\n     <p><b>Entrada:</b> {{movimiento.fechaEntrada}} {{movimiento.horaEntrada}}</p>\n     <p><b>Salida:</b> {{movimiento.fechaSalida}} {{movimiento.horaSalida}}</p>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\salidas\salidas.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_auth_user_auth_user__["a" /* AuthUserProvider */],
            __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], SalidasPage);
    return SalidasPage;
}());

//# sourceMappingURL=salidas.js.map

/***/ }),

/***/ 204:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NuevaSalidaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_forms__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/





/**
 * Página de registro de una nueva salida
 *
 * Formulario para registrar las salidad del parking, en primer lugar se ha de seleccionar la matricula del camión, solo
 * se muestran las matriculas de los camiones que se encuentran dentro del parking, y después se completa la información
 * para registrar la información.
 */
var NuevaSalidaPage = /** @class */ (function () {
    function NuevaSalidaPage(navCtrl, navParams, afDatabase, alertCtrl, fb) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.alertCtrl = alertCtrl;
        this.fb = fb;
        this.movimientos = [];
        this.entrada = {};
        this.salida = {};
        this.plazas = [];
        // Recibe la clave del parking desde el que que vamos a registrar la salida
        this.keyParking = this.navParams.get('keyParking');
        // Comprueba datos introducidos en el formulario
        this.form = this.fb.group({
            fechaSalida: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            horaSalida: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            semiremolque: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            transportista: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required),
            dni: new __WEBPACK_IMPORTED_MODULE_4__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["g" /* Validators */].required)
        });
        // Recupera la información de movimientos que están dentro del parking
        this.afDatabase.list('movimientos').valueChanges().subscribe(function (data) {
            if (!data) {
                return;
            }
            for (var i = 0; data.length >= i; i++) {
                if (data[i] && _this.keyParking === data[i].keyParking && data[i].tipo === 'in') {
                    _this.movimientos.push(data[i]);
                }
            }
        });
    }
    NuevaSalidaPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // Recupera la información del perfil del parking
        this.afDatabase.list('parkings').snapshotChanges().subscribe(function (parkings) {
            parkings.forEach(function (parking) {
                if (_this.keyParking === parking.payload.val().key) {
                    _this.plazas = parking.payload.val().plazas;
                    _this.keyPark = parking.key;
                    return;
                }
            });
        });
    };
    // Función que guarda los movientos de salida para despues mostrarlos
    NuevaSalidaPage.prototype.mostrarDatosMovimiento = function (movimiento) {
        this.movimientoSalida = movimiento;
    };
    // Registra en la base de datos la nueva salida con toda la información, lo que realmente se realiza es una actualización
    //  de una entrada modificando su estado de in a out para indicar que el movimiento es una salida.
    NuevaSalidaPage.prototype.nuevaSalida = function () {
        var _this = this;
        this.afDatabase.list('movimientos').snapshotChanges().subscribe(function (actions) {
            return actions.forEach(function (action) {
                if (_this.salida.matriculaCamion === action.payload.val().matriculaCamion && _this.salida.tipo === 'in') {
                    _this.movimientoKey = action.key;
                    console.log(_this.movimientoKey);
                    _this.afDatabase.list('movimientos').update(_this.movimientoKey, {
                        matriculaSemiremolqueSalida: _this.salida.matriculaSemiremolqueSalida,
                        nombreTransportistaSalida: _this.salida.nombreTransportistaSalida,
                        dniTranportistaSalida: _this.salida.dniTranportistaSalida,
                        fechaSalida: _this.movimientoSalida.fechaSalida,
                        horaSalida: _this.movimientoSalida.horaSalida,
                        tipo: 'out'
                    });
                    return;
                }
            });
        });
        var plazaOut = parseInt(this.salida.plaza) - 1;
        this.afDatabase.object("parkings/" + this.keyPark + "/plazas/" + plazaOut).update({ estado: 'libre' });
        var alert = this.alertCtrl.create({
            title: 'Salida guardada',
            subTitle: 'La salida se ha registrado correctamente',
            buttons: ['Aceptar']
        });
        alert.present();
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */]);
    };
    NuevaSalidaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-nueva-salida',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\nueva-salida\nueva-salida.html"*/'<!--\n  Generated template for the NuevaSalidaPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Nueva Salida\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n  <ion-item>\n     <ion-label color="primary">Matricula Camión</ion-label>\n     <ion-select type="text" [(ngModel)]="salida">\n       <ion-option *ngFor="let movimiento of movimientos" [value]="movimiento" (ionSelect)="mostrarDatosMovimiento(movimiento)">{{movimiento.matriculaCamion}}</ion-option>\n     </ion-select>\n  </ion-item>\n  </ion-list>\n  <form [formGroup]="form">\n  <ion-list *ngIf="movimientoSalida">\n    <ion-item>\n      <ion-label color="primary">Empresa</ion-label>\n      <ion-note item-end>\n        {{movimientoSalida.nombreEmpresaTransporte}}\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Plaza</ion-label>\n      <ion-note item-end>\n        {{movimientoSalida.plaza}}\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Matricula semiremolque</ion-label>\n      <ion-note item-end>\n        {{movimientoSalida.matriculaSemiremolque}}\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Fecha de entrada</ion-label>\n      <ion-note item-end>\n        {{movimientoSalida.fechaEntrada}}\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Hora de entrada</ion-label>\n      <ion-note item-end>\n        {{movimientoSalida.horaEntrada}}\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Fecha de salida</ion-label>\n      <ion-datetime displayFormat="DD/MMM/YYYY" [(ngModel)]="salida.fechaSalida" formControlName="fechaSalida"></ion-datetime>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Hora de salida</ion-label>\n      <ion-datetime displayFormat="HH:mm" [(ngModel)]="salida.horaSalida" formControlName="horaSalida"></ion-datetime>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Matricula semiremolque</ion-label>\n      <ion-textarea type="text" [(ngModel)]="salida.matriculaSemiremolqueSalida" formControlName="semiremolque"></ion-textarea>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">Transportista</ion-label>\n      <ion-textarea type="text" [(ngModel)]="salida.nombreTransportistaSalida" formControlName="transportista"></ion-textarea>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary">DNI</ion-label>\n      <ion-textarea type="text" [(ngModel)]="salida.dniTranportistaSalida" formControlName="dni"></ion-textarea>\n    </ion-item>\n    <br>\n    <button ion-button block color="primary" (click)="nuevaSalida()" [disabled]="!form.valid"><ion-icon md="md-bookmarks">\n    </ion-icon>Registrar nueva salida</button>\n  </ion-list>\n    </form>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\nueva-salida\nueva-salida.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_4__angular_forms__["a" /* FormBuilder */]])
    ], NuevaSalidaPage);
    return NuevaSalidaPage;
}());

//# sourceMappingURL=nueva-salida.js.map

/***/ }),

/***/ 205:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PlazasPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/




/**
 * Página con las plazas del parking
 *
 * Muesta las plazas del parking y su estado
 */
var PlazasPage = /** @class */ (function () {
    function PlazasPage(navCtrl, navParams, afDatabase, authUser) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.afDatabase = afDatabase;
        this.authUser = authUser;
        this.plazas = [];
        // recupera la información del usuario autenticado
        this.authUser.verificaUsuario().subscribe(function (data) {
            if (!data) {
                return;
            }
            _this.keyParking = data.uid;
        });
        // Recupera la información del perfil del parking
        this.afDatabase.list('parkings').valueChanges().subscribe(function (data) {
            data.forEach(function (parking) {
                if (_this.keyParking === parking.key) {
                    _this.parking = parking;
                    _this.plazas = _this.parking.plazas;
                    return;
                }
            });
        });
    }
    PlazasPage.prototype.ionViewDidLoad = function () {
    };
    PlazasPage.prototype.estadoPlaza = function (estado) {
        if (estado === 'libre') {
            return true;
        }
    };
    PlazasPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-plazas',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\plazas\plazas.html"*/'<!--\n  Generated template for the PlazasPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary">\n    <ion-title>\n      Plazas Parking\n    </ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item *ngFor="let plaza of plazas">\n      <ion-icon md="md-square" color="danger" *ngIf="!estadoPlaza(plaza.estado)"></ion-icon>\n      <ion-icon md="md-square" color="secondary" *ngIf="estadoPlaza(plaza.estado)"></ion-icon>\n      <b>Plaza:</b> {{plaza.numero}} -\n      {{plaza.estado}}\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\plazas\plazas.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_database__["a" /* AngularFireDatabase */],
            __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], PlazasPage);
    return PlazasPage;
}());

//# sourceMappingURL=plazas.js.map

/***/ }),

/***/ 216:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 216;

/***/ }),

/***/ 260:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/detalle-movimiento/detalle-movimiento.module": [
		820,
		20
	],
	"../pages/detalle-parking/detalle-parking.module": [
		821,
		19
	],
	"../pages/entradas/entradas.module": [
		822,
		18
	],
	"../pages/gestion-contrato/gestion-contrato.module": [
		823,
		17
	],
	"../pages/home/home.module": [
		824,
		16
	],
	"../pages/list-entreprises/list-entreprises.module": [
		825,
		15
	],
	"../pages/login/login.module": [
		826,
		14
	],
	"../pages/movimientos-empresa-parking/movimientos-empresa-parking.module": [
		827,
		13
	],
	"../pages/movimientos-empresa/movimientos-empresa.module": [
		840,
		12
	],
	"../pages/my-contracts/my-contracts.module": [
		828,
		11
	],
	"../pages/my-reservations/my-reservations.module": [
		829,
		10
	],
	"../pages/nueva-entrada/nueva-entrada.module": [
		830,
		9
	],
	"../pages/nueva-salida/nueva-salida.module": [
		831,
		8
	],
	"../pages/parking-list/parking-list.module": [
		832,
		7
	],
	"../pages/plazas/plazas.module": [
		833,
		6
	],
	"../pages/regist-entreprise/regist-entreprise.module": [
		834,
		3
	],
	"../pages/regist-entreprise2/regist-entreprise2.module": [
		835,
		1
	],
	"../pages/regist-parking/regist-parking.module": [
		836,
		2
	],
	"../pages/regist-parking2/regist-parking2.module": [
		837,
		0
	],
	"../pages/reserva-plazas/reserva-plazas.module": [
		838,
		5
	],
	"../pages/salidas/salidas.module": [
		839,
		4
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 260;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 38:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AuthUserProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_angularfire2_auth__ = __webpack_require__(110);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};


/*
  Generated class for the AuthUserProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var AuthUserProvider = /** @class */ (function () {
    function AuthUserProvider(auth) {
        this.auth = auth;
    }
    AuthUserProvider.prototype.verificaUsuario = function () {
        return this.auth.authState;
    };
    AuthUserProvider.prototype.logOut = function () {
        this.auth.auth.signOut();
    };
    AuthUserProvider.prototype.recuperaPass = function (email) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.auth.auth.sendPasswordResetEmail(email)];
                    case 1: return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    AuthUserProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_angularfire2_auth__["a" /* AngularFireAuth */]])
    ], AuthUserProvider);
    return AuthUserProvider;
}());

//# sourceMappingURL=auth-user.js.map

/***/ }),

/***/ 444:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_auth__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
Imagen login y home parkings app extraída de:
https://pixabay.com/es/ciudad-personas-calle-noche-luces-1487891/
Con licencia CC0 Creativ Commons

Imagen home empresas extraída de:
https://pixabay.com/es/cami%C3%B3n-por-carretera-escudo-2755172/
Con licencia CC0 Creativ Commons
*/




/**
 * Página inicial de login de los usuarios.
 *
 * Desde esta página si tenemos un usuario podrémos acceder con nuestro perfil de usuario, en caso contrario tenemos
 * las opciones de registrarnos en la apliccación según el tipo de usuario que seamos, empresa o parking.
 * También en el caso de habernos olvidado la contraseña tenemos una opción para recuperarla
 +*/
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, globarAuth, alertCtrl, authUser) {
        this.navCtrl = navCtrl;
        this.globarAuth = globarAuth;
        this.alertCtrl = alertCtrl;
        this.authUser = authUser;
        this.user = {};
    }
    // Logea al usuario por medio el servicio de fireAuth
    LoginPage.prototype.login = function (user) {
        return __awaiter(this, void 0, void 0, function () {
            var result, e_1, alert_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this.globarAuth.auth.signInWithEmailAndPassword(user.email, user.password)];
                    case 1:
                        result = _a.sent();
                        if (result) {
                            this.navCtrl.setRoot('HomePage');
                        }
                        return [3 /*break*/, 3];
                    case 2:
                        e_1 = _a.sent();
                        alert_1 = this.alertCtrl.create({
                            title: 'Error en el login',
                            subTitle: 'Contraseña o mail incorrectos',
                            buttons: ['Aceptar']
                        });
                        alert_1.present();
                        return [3 /*break*/, 3];
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    // Función par navegar a la pagina de registro de parkings
    LoginPage.prototype.registNewParking = function () {
        this.navCtrl.push('RegistParkingPage');
    };
    // Función para navegar a la pagina de registro de empresas
    LoginPage.prototype.registNewEntreprise = function () {
        this.navCtrl.push('RegistEntreprisePage');
    };
    //Función que llama al servicio de FireAuth para la recuperación de contraseñas
    LoginPage.prototype.recuperarPass = function () {
        var _this = this;
        this.alertCtrl.create({
            title: 'Recuperar contraseña',
            subTitle: 'Introduce el correo electronico de tu cuenta, te enviaremos una nueva contraseña',
            inputs: [
                {
                    name: 'recuperaEmail',
                    placeholder: 'Email'
                }
            ],
            buttons: [
                {
                    text: 'Cancel',
                    role: 'Cancel',
                    handler: function (data) {
                        console.log('Cancel clicked');
                    }
                },
                {
                    text: 'Enviar',
                    handler: function (data) {
                        _this.authUser.recuperaPass(data.recuperaEmail).then(function () {
                            var alert = _this.alertCtrl.create({
                                title: 'Contraseña enviada',
                                subTitle: 'Se ha enviado una nueva contraseña a su correo electronico',
                                buttons: ['Aceptar']
                            });
                            alert.present();
                        }).catch(function (e) {
                            var alert = _this.alertCtrl.create({
                                title: 'Error al recuperar contraseña',
                                subTitle: 'Email incorrecto o usuario no registrado',
                                buttons: ['Aceptar']
                            });
                            alert.present();
                        });
                    }
                }
            ]
        }).present();
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\login\login.html"*/'<!--\n  Generated template for the LoginPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="navColor">\n\n  <ion-navbar color="primary" text-center>\n    <ion-title>Login</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content padding class="background">\n  <ion-card>\n    <img src="assets/imgs/login_inicial.jpg">\n    <ion-list inset>\n      <ion-item>\n        <ion-input type="email" [(ngModel)]="user.email" name="email" placeholder="Email"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-input type="password" [(ngModel)]="user.password" name="password" placeholder="Password"></ion-input>\n      </ion-item>\n      <br>\n      <button ion-button block color="light" (click)="login(user)"><ion-icon md="md-log-in"></ion-icon> Login</button>\n      <br>\n      <a>En caso de no disponer de cuenta:</a>\n      <button ion-button block (click)="registNewParking()">Registrar nuevo parking</button>\n      <button ion-button block (click)="registNewEntreprise()">Registrar nueva empresa</button>\n      <a (click)="recuperarPass()">Recuperar contraseña</a>\n    </ion-list>\n  </ion-card>\n</ion-content>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_auth__["a" /* AngularFireAuth */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_3__providers_auth_user_auth_user__["a" /* AuthUserProvider */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 445:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(446);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(450);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_take__ = __webpack_require__(424);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_take___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_take__);



Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 450:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(349);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_component__ = __webpack_require__(561);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_common_http__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_angularfire2__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_angularfire2_auth__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__config_firebase_config__ = __webpack_require__(562);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__angular_forms__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__providers_user_parking_user_parking__ = __webpack_require__(563);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__providers_parkings_parkings__ = __webpack_require__(564);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__providers_auth_user_auth_user__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_parking_list_parking_list__ = __webpack_require__(194);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_detalle_parking_detalle_parking__ = __webpack_require__(192);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_reserva_plazas_reserva_plazas__ = __webpack_require__(193);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_my_reservations_my_reservations__ = __webpack_require__(195);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_my_contracts_my_contracts__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_list_entreprises_list_entreprises__ = __webpack_require__(198);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_gestion_contrato_gestion_contrato__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_entradas_entradas__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_salidas_salidas__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_nueva_entrada_nueva_entrada__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_nueva_salida_nueva_salida__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_plazas_plazas__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_movimientos_empresa_movimientos_empresa__ = __webpack_require__(196);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_detalle_movimiento_detalle_movimiento__ = __webpack_require__(191);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_movimientos_empresa_parking_movimientos_empresa_parking__ = __webpack_require__(200);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
 */







// Firebase





// servicios



//pages















var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_15__pages_parking_list_parking_list__["a" /* ParkingListPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_detalle_parking_detalle_parking__["a" /* DetalleParkingPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_reserva_plazas_reserva_plazas__["a" /* ReservaPlazasPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_my_reservations_my_reservations__["a" /* MyReservationsPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_my_contracts_my_contracts__["a" /* MyContractsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_list_entreprises_list_entreprises__["a" /* ListEntreprisesPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_gestion_contrato_gestion_contrato__["a" /* GestionContratoPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_entradas_entradas__["a" /* EntradasPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_salidas_salidas__["a" /* SalidasPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_nueva_entrada_nueva_entrada__["a" /* NuevaEntradaPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_nueva_salida_nueva_salida__["a" /* NuevaSalidaPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_plazas_plazas__["a" /* PlazasPage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_movimientos_empresa_movimientos_empresa__["a" /* MovimientosEmpresaPage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_detalle_movimiento_detalle_movimiento__["a" /* DetalleMovimientoPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_movimientos_empresa_parking_movimientos_empresa_parking__["a" /* MovimientosEmpresaParkingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/detalle-movimiento/detalle-movimiento.module#DetalleMovimientoPageModule', name: 'DetalleMovimientoPage', segment: 'detalle-movimiento', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/detalle-parking/detalle-parking.module#DetalleParkingPageModule', name: 'DetalleParkingPage', segment: 'detalle-parking', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/entradas/entradas.module#EntradasPageModule', name: 'EntradasPage', segment: 'entradas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/gestion-contrato/gestion-contrato.module#GestionContratoPageModule', name: 'GestionContratoPage', segment: 'gestion-contrato', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomePageModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/list-entreprises/list-entreprises.module#ListEntreprisesPageModule', name: 'ListEntreprisesPage', segment: 'list-entreprises', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/movimientos-empresa-parking/movimientos-empresa-parking.module#MovimientosEmpresaParkingPageModule', name: 'MovimientosEmpresaParkingPage', segment: 'movimientos-empresa-parking', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my-contracts/my-contracts.module#MyContractsPageModule', name: 'MyContractsPage', segment: 'my-contracts', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my-reservations/my-reservations.module#MyReservationsPageModule', name: 'MyReservationsPage', segment: 'my-reservations', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/nueva-entrada/nueva-entrada.module#NuevaEntradaPageModule', name: 'NuevaEntradaPage', segment: 'nueva-entrada', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/nueva-salida/nueva-salida.module#NuevaSalidaPageModule', name: 'NuevaSalidaPage', segment: 'nueva-salida', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/parking-list/parking-list.module#ParkingListPageModule', name: 'ParkingListPage', segment: 'parking-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/plazas/plazas.module#PlazasPageModule', name: 'PlazasPage', segment: 'plazas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/regist-entreprise/regist-entreprise.module#RegistEntreprisePageModule', name: 'RegistEntreprisePage', segment: 'regist-entreprise', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/regist-entreprise2/regist-entreprise2.module#RegistEntreprise2PageModule', name: 'RegistEntreprise2Page', segment: 'regist-entreprise2', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/regist-parking/regist-parking.module#RegistParkingPageModule', name: 'RegistParkingPage', segment: 'regist-parking', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/regist-parking2/regist-parking2.module#RegistParking2PageModule', name: 'RegistParking2Page', segment: 'regist-parking2', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/reserva-plazas/reserva-plazas.module#ReservaPlazasPageModule', name: 'ReservaPlazasPage', segment: 'reserva-plazas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/salidas/salidas.module#SalidasPageModule', name: 'SalidasPage', segment: 'salidas', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/movimientos-empresa/movimientos-empresa.module#MovimientosEmpresaPageModule', name: 'MovimientosEmpresaPage', segment: 'movimientos-empresa', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_7_angularfire2__["a" /* AngularFireModule */].initializeApp(__WEBPACK_IMPORTED_MODULE_10__config_firebase_config__["a" /* firebaseConfig */]),
                __WEBPACK_IMPORTED_MODULE_8_angularfire2_database__["b" /* AngularFireDatabaseModule */],
                __WEBPACK_IMPORTED_MODULE_9_angularfire2_auth__["b" /* AngularFireAuthModule */],
                __WEBPACK_IMPORTED_MODULE_6__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_11__angular_forms__["c" /* FormsModule */]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_15__pages_parking_list_parking_list__["a" /* ParkingListPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_detalle_parking_detalle_parking__["a" /* DetalleParkingPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_reserva_plazas_reserva_plazas__["a" /* ReservaPlazasPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_my_reservations_my_reservations__["a" /* MyReservationsPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_my_contracts_my_contracts__["a" /* MyContractsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_list_entreprises_list_entreprises__["a" /* ListEntreprisesPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_gestion_contrato_gestion_contrato__["a" /* GestionContratoPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_entradas_entradas__["a" /* EntradasPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_salidas_salidas__["a" /* SalidasPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_nueva_entrada_nueva_entrada__["a" /* NuevaEntradaPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_nueva_salida_nueva_salida__["a" /* NuevaSalidaPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_plazas_plazas__["a" /* PlazasPage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_movimientos_empresa_movimientos_empresa__["a" /* MovimientosEmpresaPage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_detalle_movimiento_detalle_movimiento__["a" /* DetalleMovimientoPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_movimientos_empresa_parking_movimientos_empresa_parking__["a" /* MovimientosEmpresaParkingPage */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_12__providers_user_parking_user_parking__["a" /* UserParkingProvider */],
                __WEBPACK_IMPORTED_MODULE_13__providers_parkings_parkings__["a" /* ParkingsProvider */],
                __WEBPACK_IMPORTED_MODULE_14__providers_auth_user_auth_user__["a" /* AuthUserProvider */],
                __WEBPACK_IMPORTED_MODULE_11__angular_forms__["c" /* FormsModule */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 561:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(349);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen) {
        var _this = this;
        platform.ready().then(function () {
            _this.rootPage = "LoginPage";
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 562:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return firebaseConfig; });
// Archivo de configuración para Firebase
var firebaseConfig = {
    apiKey: "AIzaSyCNfSpb7qP_CsUwFB6qNjQ5naa-QJghPms",
    authDomain: "tfgparking.firebaseapp.com",
    databaseURL: "https://tfgparking.firebaseio.com",
    projectId: "tfgparking",
    storageBucket: "tfgparking.appspot.com",
    messagingSenderId: "969295892053"
};
//# sourceMappingURL=firebase.config.js.map

/***/ }),

/***/ 563:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserParkingProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_angularfire2_database__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var UserParkingProvider = /** @class */ (function () {
    function UserParkingProvider(afDataBase) {
        this.afDataBase = afDataBase;
        this.userParking = {};
    }
    UserParkingProvider.prototype.verificaParking = function (clave) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.afDataBase.object("userParking/" + clave)
                .valueChanges().subscribe(function (data) {
                console.log(data);
                _this.clave = clave;
                _this.userParking = data;
                return _this.userParking;
            });
        });
    };
    UserParkingProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_angularfire2_database__["a" /* AngularFireDatabase */]])
    ], UserParkingProvider);
    return UserParkingProvider;
}());

//# sourceMappingURL=user-parking.js.map

/***/ }),

/***/ 564:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ParkingsProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Rx__ = __webpack_require__(565);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Rx__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the ParkingsProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var ParkingsProvider = /** @class */ (function () {
    function ParkingsProvider(http) {
        this.http = http;
        this.parkingsURL = "";
    }
    ParkingsProvider.prototype.nuevoParking = function (parking) {
        var body = JSON.stringify(parking);
        var headers = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["c" /* HttpHeaders */]({
            'Content-Type': 'application/json'
        });
        return this.http.post(this.parkingsURL, body, { headers: headers })
            .map(function (res) {
            console.log(res);
            return res;
        });
    };
    ParkingsProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */]])
    ], ParkingsProvider);
    return ParkingsProvider;
}());

//# sourceMappingURL=parkings.js.map

/***/ })

},[445]);
//# sourceMappingURL=main.js.map